Bienvenue dans le Feature Definition Manager

Bienvenue dans l’aide en ligne pour le Feature Definition Manager, l’outil logiciel vous permettant de créer et de gérer des définitions (propriétés) d’entités géographiques qui peuvent être téléchargées facilement vers des instruments de terrain afin que les géomètres puissent les assigner à des objets rencontrés sur le terrain. Le logiciel de traitement topographique du bureau peut alors être utilisé pour traiter les entités géographiques en même temps que d’autres données topographiques enregistrées et les exporter vers d’autres systèmes (des progiciels CAO, par exemple).

Comprendre le Feature Definition Manager

Les « entités géographiques » représentent des objets naturels ou façonnés par l’homme, que les géomètres observent et enregistrent lors de leur collecte de données topographiques. Cela peut être des arbres, des clôtures, des portails, des signes, des poteaux des services publics et des immeubles. Pour faciliter et rendre plus efficace l’enregistrement des informations concernant les objets observés, le géomètre peut utiliser son instrument de terrain pour sélectionner à partir d’une bibliothèque prédéfinie d’entités géographiques, appelée « définitions d’entités géographiques », le code unique d’entité géographique de la définition appropriée et assigner celui-ci à l’objet. Ceci a pour effet d’assigner à l’objet toutes les propriétés associées à la définition d’entité géographique (par exemple, le nom et le code de l’entité géographique, le symbole utilisé pour la représenter dans les vues graphiques du logiciel, et tout autre attribut personnalisé).

Il existe deux principaux types d’entités géographiques ; chacun est représenté par un type différent de définition d’entité géographique :

  • Une entité géographique ponctuelle est utilisée pour identifier une entité individuelle, telle qu’un arbre ou un poteau des services publics. La définition d’une entité géographique ponctuelle est représentée par l’icône [image] du volet Explorateur.
  • Une entité géographique linéaire est composée d’au moins deux points qui définissent une ligne, telle qu’une clôture ou un chemin. La définition d’une entité géographique linéaire est représentée par l’icône [image] du volet Explorateur. Les entités géographiques linéaires peuvent également comprendre des codes de contrôle de lignes utilisés pour les définir plus précisément (par exemple, l’ajout de lignes, de courbes, et d’arcs entre des points).

Sujets connexes

Flux de travaux pour le Feature Definition Manager

Comprendre l'interface


Flux de travaux pour le Feature Definition Manager

Les étapes suivantes fournissent un flux de travaux de haut niveau pour les travaux avec le Feature Definition Manager. Pour plus d’informations, cliquez sur n’importe lequel des liens.

  1. Ouvrir ou créer un fichier (.fxl) de définition d’entités géographiques, ou télécharger ou importer des données de définition d’entités géographiques.
  2. Entrer et modifier les propriétés des fichiers (.fxl) de définition d’entités géographiques.
  3. Créer et modifier des catégories de définitions d’entités géographiques.
  4. Créer et modifier des définitions d’entités géographiques
  5. Créer et modifier des symboles utilisés pour des définitions d’entités géographiques.
  6. Créer et modifier des lignes décalées utilisées pour des définitions d’entités géographiques linéaires.
  7. Ajouter et modifier des attributs pour des définitions d’entités géographiques.
  8. Créer et modifier des codes de contrôles de lignes.
  9. Créer des groupes de codes de définitions d’entités géographiques et de codes de contrôles de lignes.
  10. Sauvegarder le fichier (.fxl) de définitions d’entités géographiques.
  11. Exporter le fichier, ou le télécharger vers un instrument de terrain.

Sujets connexes

Bienvenue dans le Feature Definition Manager

Comprendre l'interface


Comprendre l'interface

L’interface utilisateur du Feature Definition Manager comporte des éléments courants.

Interface utilisateur

Barre des menus

C’est à partir d’ici qu’il est possible d’accéder à toutes les commandes. Vous pouvez :

  • Cliquer sur un article de menu
  • Appuyer sur [ALT] et la lettre soulignée (mnémonique) de l’article de menu. Puis, vous pouvez appuyer sur une autre mnémonique, ou utiliser les flèches vers le haut et vers le bas et appuyer sur [Entrer] pour effectuer votre sélection.

Barres d’outils

Elles vous donnent un accès rapide aux commandes les plus fréquemment usitées par des icônes.

La barre d’outils comporte également une boîte de recherche, dans laquelle vous pouvez saisir un code d’entité géographique. Le fait d’appuyer sur [Entrer] permet de localiser et de sélectionner l’entité géographique dans le volet Explorateur.

Volet Explorateur

Ce volet affiche une arborescence des catégories, des entités géographiques, des codes de contrôles de lignes et des groupes dans chacun de vos fichiers. Le volet Explorateur vous permet de rapidement voir, sélectionner, déplacer, et organiser les éléments dans vos fichiers.

Dans le volet Explorateur, vous pouvez :

  • Ouvrir plusieurs fichiers.
  • Créer de nouveaux fichiers, catégories, entités géographiques et groupes en cliquant avec le bouton droit et en sélectionnant à partir du menu contextuel.

Volets des propriétés et des attributs

Ces volets affichent et vous permettent de modifier les propriétés des fichiers, catégories, entités géographiques, groupes et des codes de contrôle de lignes sélectionnés.

Vue graphique

Ceci vous indique comment les symboles et les annotations des entités géographiques apparaissent dans les vues graphiques et vous permet de choisir et de déplacer des annotations.

Note : Pour faire un panoramique dans la vue graphique, cliquez et glissez avec le bouton du milieu de la souris. Pour zoomer vers l’avant ou vers l’arrière, roulez la roulette de la souris.

Barre d’état

Ceci affiche les noms actuels des catégories et des entités géographiques, ainsi que la position du curseur dans la vue graphique.

Sujets connexes

Bienvenue dans le Feature Definition Manager

Flux de travaux pour le Feature Definition Manager


Obtenir de l’aide

Ce système d’aide comporte diverses façons de trouver les informations dont vous avez besoin.

Options
Table des matières | Cliquez sur cet onglet pour afficher tous les sujets d’aide dans une structure arborescente. Cliquez sur un chapitre ou sur un sujet pour l’afficher.
Recherche | Saisissez un mot-clé dans la boîte de recherche. Puis cliquez sur la Liste des sujets pour rechercher une occurrence du mot dans les rubriques d’aide. Sélectionnez un sujet dans les résultats de la recherche et cliquez sur Afficher pour l’ouvrir. Le mot recherché est mis en évidence dans chaque rubrique d’aide. Reportez-vous à l’option Mise en évidence des recherches activée/désactivée ci-dessous.
Masquer/Afficher | Cliquez ici pour masquer les onglets Tables des matières et Recherche.
Arrière | Cliquez ici pour afficher le sujet précédent.
Imprimer | Cliquez ici pour afficher la boîte de dialogue Imprimer les sujets. Sélectionnez une option pour n'imprimer que le sujet sélectionné ou l’en-tête et tous les sous-sujets.
Menu Options
Arrêt | Cliquez ici pour arrêter une fonction de recherche.
Rafraîchissement | Cliquez ici pour réinitialiser l’affichage de la page en cours.
Options Internet | Cliquez ici pour afficher la boîte de dialogue Options Internet, dans laquelle vous pouvez définir les paramètres de sécurité, de confidentialité, de contenus, de connexions, de programmes ainsi que les autres paramètres pour Internet.
Mise en évidence des recherches activée/désactivée | Cliquez ici pour activer/désactiver la mise en évidence de chaque occurrence du mot-clé des sujets recherchés.

Sujets connexes

Bienvenue dans le Feature Definition Manager


Envoyer vos remarques

Nous nous efforçons de vous fournir les documentations d’aide les plus utiles possible. Si vous avez des commentaires ou des suggestions pour améliorer l’aide, les notes de version, les survols, les tutoriels ou les guides de procédures, n’hésitez pas à nous contacter à l’adresse suivante :
OSG_Documentation@Trimble.com

Tous les commentaires et suggestions soumis deviennent la propriété de Trimble Navigation Limited.


Organiser des fichiers (.fxl) de définition d’entités géographiques

Les fichiers (.fxl) de définition d’entités géographiques comportent les types d’informations suivants, organisés selon le format natif du Feature Definition Manager :

  • Catégories des définitions des entités géographiques
  • Définitions des entités géographiques
  • Attributs des entités géographiques
  • Codes de contrôle de ligne
  • Groupes de définitions d’entités géographiques/contrôles de lignes
  • Symboles et styles de lignes

Sujets connexes

Créer des fichiers (.fxl) de définition d’entités géographiques

Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Propriétés des fichiers (.fxl) de définition d'entités géographiques

Créer des modèles de fichiers (.fxl) de définition d’entités géographiques

Sauvegarder des fichiers (.fxl) de définition d’entités géographiques


Créer des fichiers (.fxl) de définition d’entités géographiques

Pour créer un fichier (.fxl) de définition d’entités géographiques :

  1. Procédez de l'une des façons suivantes :
    • Sélectionnez Fichier > Nouveau fichier.
    • Cliquez sur l’icône [image] de la barre d’outils.

    Une nouvelle icône de dossier intitulée Nouveau fichier apparaît dans le volet Explorateur, et le volet Propriétés du fichier s’affiche.

  2. Cliquez dans n’importe quelle cellule et modifiez la valeur selon les besoins.

    Pour des instructions supplémentaires, reportez-vous à Propriétés du fichier.

    Note : Une longueur maximale de « 0 » signifie qu’aucune limite n’est établie.

  3. Lorsque vous avez terminé, procédez de l’une des façons suivantes :
    • Sélectionnez Fichier > Enregistrer.
    • Cliquez sur l’icône [image] de la barre d’outils.

    La boîte de dialogue Enregistrer s’affiche.

  4. Dans la boîte de dialogue Enregistrer, saisissez un nom pour le fichier, sélectionnez un type de fichier ainsi qu'un emplacement pour stocker le fichier. Puis, cliquez sur OK.

Nouveau fichier dans le volet Explorateur est remplacé par le chemin d'accès et le nom du fichier que vous spécifiez.

Sujets connexes

Organiser des fichiers (.fxl) de définition d’entités géographiques

Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Propriétés des fichiers (.fxl) de définition d'entités géographiques

Créer des modèles de fichiers (.fxl) de définition d’entités géographiques

Sauvegarder des fichiers (.fxl) de définition d’entités géographiques


Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Pour ouvrir un fichier (.fxl) de définition d’entités géographiques existant :

  1. Procédez de l'une des façons suivantes :
    • Sélectionnez Fichier > Ouvrir.
    • Cliquez sur l’icône [image] de la barre d’outils standard.

    La boîte de dialogue Ouvrir le fichier s’affiche.

  2. Dans la boîte de dialogue Ouvrir le fichier, localisez le fichier à ouvrir, puis cliquez sur OK.

    L’icône de fichier s’affiche dans le volet Explorateur, et le volet Propriétés du fichier s’affiche.

    Notes :
    - Le fichier FXL de données d’échantillonnage fournit avec le Feature Definition Manager est installé dans le sous-dossier d’applications dans le dossier Program Files. Cependant, lorsque vous ouvrez le logiciel, une deuxième version est créée dans un sous-dossier de votre dossier Mes Documents et peut être ouverte à partir du menu Fichier. Il est recommandé d’utiliser cette version du fichier, et non la version d’origine stockée dans le sous-dossier d’applications du dossier Program Files.
    - Par défaut, tous les fichiers (.fxl) de définition d’entité géographique sont ouverts et sauvegardés dans le format de la dernière version du Feature Definition Manager, qui est compatible avec les versions 12.40 et supérieures de Trimble Access et de Survey Controller.

Sujets connexes

Organiser des fichiers (.fxl) de définition d’entités géographiques

Créer des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Propriétés des fichiers (.fxl) de définition d'entités géographiques

Créer des modèles de fichiers (.fxl) de définition d’entités géographiques

Sauvegarder des fichiers (.fxl) de définition d’entités géographiques


Convertir un fichier FCL en un fichier FXL

Pour convertir un fichier FCL en un fichier FXL :

  1. Sélectionnez Fichier > Convertir un fichier. La boîte de dialogue Convertir un fichier s’affiche.
  2. Saisissez un nom et un chemin d’accès pour le fichier « .fcl » à convertir dans la cellule Sélectionnez un fichier source, ou cliquez sur le bouton [image] et naviguez jusqu’au fichier « .fcl ».
  3. Saisissez un nom et un chemin d’accès pour le fichier cible « .fxl » dans la cellule Définir la cible, ou cliquez sur le bouton [image] et naviguez jusqu’au fichier « .fxl ».
  4. Sélectionnez la langue utilisée dans le fichier « .fcl » dans la liste Sélectionner la langue.
  5. Sélectionnez la version de « .fxl » vers laquelle vous souhaitez convertir le fichier « .fcl ».
  6. Cliquez sur OK.

    L’icône de fichier pour le fichier « .fxl » nouvellement créé s’affiche dans le volet Explorateur de l’étude.


Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Pour entrer ou modifier les propriétés des fichiers (.fxl) de définition d’entités géographiques :

  1. Dans le volet Explorateur, sélectionnez le fichier avec lequel vous souhaitez travailler.
  2. Procédez de l'une des façons suivantes :
    • Sélectionnez Fichier > Propriétés.
    • Cliquez sur l’icône [image] de la barre d’outils.

    Le volet Propriétés du fichier s’affiche.

  3. Cliquez dans n’importe quelle boîte et modifiez la valeur selon les besoins.

    Pour des instructions supplémentaires, reportez-vous à Propriétés du fichier.

    Note : Une longueur maximale de « 0 » signifie qu’aucune limite n’est établie.

  4. Lorsque vous avez terminé, procédez de l’une des façons suivantes :
    • Sélectionnez Fichier > Enregistrer.
    • Cliquez sur l’icône [image] de la barre d’outils.

    La boîte de dialogue Enregistrer s’affiche, si c’est la première fois que vous définissez des propriétés pour un nouveau fichier. Dans la boîte de dialogue Enregistrer, saisissez un nom pour le fichier, sélectionnez un type de fichier ainsi qu'un emplacement pour stocker le fichier. Puis, cliquez sur OK.

Sujets connexes

Organiser des fichiers (.fxl) de définition d’entités géographiques

Créer des fichiers (.fxl) de définition d’entités géographiques

Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Propriétés des fichiers (.fxl) de définition d'entités géographiques

Créer des modèles de fichiers (.fxl) de définition d’entités géographiques

Sauvegarder des fichiers (.fxl) de définition d’entités géographiques


Propriétés des fichiers (.fxl) de définition d'entités géographiques

Utilisez ces options pour spécifier l’auteur, la description, si les codes des entités géographiques sont uniquement numériques, et la longueur maximale de certains champs. Elles sont disponibles dans le volet de commande Propriétés du fichier.

Options
Auteur | Saisissez le nom de l’auteur du fichier.
Description | Saisissez des informations supplémentaires concernant le fichier.
Date de création | Affiche la date en lecture seule de la première sauvegarde du fichier.
Date de modification | Affiche la date en lecture seule de la dernière sauvegarde du fichier.
Détermine si les codes des entités géographiques sont uniquement numériques | Non - Sélectionnez cette option pour permettre des codes alphanumériques. Oui - Sélectionnez cette option pour limiter les codes à uniquement des nombres.
Longueur maximale du nom de l'attribut | Saisissez une valeur pour le nombre maximal de caractères autorisé dans les zones de saisie de Nom des attributs. Note : Une longueur maximale de « 0 » signifie qu’aucune limite n’est établie.
Longueur maximale du nom de la catégorie | Saisissez une valeur pour le nombre maximal de caractères autorisé dans les zones de saisie de Nom des catégories.
Longueur maximale du nom de l'entité géographique | Saisissez une valeur pour le nombre maximal de caractères autorisé dans les zones de saisie de Nom des entités géographiques.
Longueur maximale du code de l'entité géographique | Saisissez une valeur pour le nombre maximal de caractères autorisé dans les zones de saisie de Code de l'entité géographique.
Nombre maximum de codes / groupes | Saisissez une valeur pour le nombre maximal d’entités géographiques ou de codes de contrôle, autorisé dans les groupes. Ceci sera déterminé par le type d’instrument de terrain que vous avez l’intention d’utiliser.

Sujets connexes

Organiser des fichiers (.fxl) de définition d’entités géographiques

Créer des fichiers (.fxl) de définition d’entités géographiques

Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Créer des modèles de fichiers (.fxl) de définition d’entités géographiques

Sauvegarder des fichiers (.fxl) de définition d’entités géographiques


Créer des modèles de fichiers (.fxl) de définition d’entités géographiques

Vous pouvez créer un ou plusieurs modèles comportant les données d’entités géographiques que vous utilisez le plus souvent. Ceci vous permet d’économiser du temps et de garantir une bonne cohérence entre les études.

Pour créer un fichier de modèles ::

  1. Ouvrez un fichier existant identique au modèle à créer, ou créez un nouveau fichier.

    Note : Pour les étapes suivantes, reportez-vous au sujet d’aide approprié pour des instructions.

  2. Définissez les propriétés du fichier selon les besoins.
  3. Créez, modifiez et supprimez des catégories, des entités géographiques, des attributs, des codes de contrôle et des groupes, selon les besoins.
  4. Créez, modifiez et supprimez des annotations et des symboles, selon les besoins.
  5. Sélectionnez Fichier > Enregistrer sous. La boîte de dialogue Enregistrer sous s’affiche.
  6. Dans la boîte de dialogue Enregistrer sous, procédez de la façon suivante :
    1. Saisissez un nom pour le fichier.
    2. Sélectionnez un type de fichier.
    3. Sélectionnez un répertoire pour stocker le fichier.
    4. Cliquez sur OK.

Sujets connexes

Organiser des fichiers (.fxl) de définition d’entités géographiques

Créer des fichiers (.fxl) de définition d’entités géographiques

Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Propriétés des fichiers (.fxl) de définition d'entités géographiques

Sauvegarder des fichiers (.fxl) de définition d’entités géographiques


Sauvegarder des fichiers (.fxl) de définition d’entités géographiques

Sauvegardez vos fichiers (.fxl) de définition d'entités géographiques au début et souvent.

Avertissement : Les modifications ne sont pas sauvegardées dans vos fichiers tant que vous n’avez pas effectué une sauvegarde.

Pour sauvegarder un fichier (.fxl) de définitions d’entités géographiques :

  1. Procédez de l'une des façons suivantes :
    • Sélectionnez Fichier > Enregistrer.
    • Cliquez sur l’icône [image] de la barre d’outils.

    Si vous avez déjà sauvegardé le fichier, aucune boîte de dialogue ne s’affiche, et le fichier demeure enregistré. Si c’est la première fois que vous sauvegardez le fichier, la boîte de dialogue Enregistrer s’affiche.

  2. Si la boîte de dialogue Enregistrer s’affiche, procédez de la façon suivante :
    1. Saisissez un nom pour le fichier.
    2. Sélectionnez un type de fichier.
    3. Sélectionnez un répertoire pour stocker le fichier.
    4. Cliquez sur OK. Nouveau fichier dans le volet Explorateur est remplacé par le chemin d’accès et le nom du fichier que vous spécifiez.

Pour sauvegarder un fichier (.fxl) de définitions d’entités géographiques avec un nouveau nom :

  1. Sélectionnez Fichier > Enregistrer sous. La boîte de dialogue Enregistrer sous s’affiche.
  2. Dans la boîte de dialogue Enregistrer sous, procédez de la façon suivante :
    1. Saisissez un nom pour le fichier.
    2. Sélectionnez un type de fichier.
    3. Sélectionnez un répertoire pour stocker le fichier.
    4. Cliquez sur OK. Le nouveau nom du fichier s’affiche dans le volet Explorateur.

Sujets connexes

Organiser des fichiers (.fxl) de définition d’entités géographiques

Créer des fichiers (.fxl) de définition d’entités géographiques

Ouvrir des fichiers (.fxl) de définition d’entités géographiques

Convertir un fichier FCL en un fichier FXL

Entrer et modifier les propriétés des fichiers (.fxl) de définition d'entités géographiques

Propriétés des fichiers (.fxl) de définition d'entités géographiques

Créer des modèles de fichiers (.fxl) de définition d’entités géographiques


Téléchargement et Importation de données de définition des entités géographiques

Vous pouvez « télécharger » des données de définition des entités géographiques directement à partir d’un instrument de terrain, ou vous pouvez « importer » les données de définition des entités géographiques qui sont sauvegardées dans un fichier.

Note : Pour importer ou télécharger des données, vous devez avoir un fichier déjà ouvert. Les données importées et téléchargées sont placées dans le fichier existant.

Pour télécharger des données de définition des entités géographiques à partir d’un instrument de terrain :

  1. Connectez l’instrument de terrain à votre ordinateur.
  2. Click Fichier > Importer. La boîte de dialogue Fichier d’importation s’affiche.
  3. Cliquez sur Télécharger à partir d’un instrument.
  4. Sélectionnez un instrument de terrain dans la liste Nom des instruments.
  5. Sélectionnez un programme dans la liste Application.
  6. Cliquez sur OK. Les données téléchargées apparaissent dans votre fichier dans le volet Explorateur.

Pour importer des données de définition des entités géographiques à partir d’un fichier :

  1. Click Fichier > Importer. La boîte de dialogue Fichier d’importation s’affiche.
  2. Cliquez sur Importer à partir d’un fichier.
  3. Saisissez un chemin d’accès et un nom pour le fichier dans la boîte de saisie Fichier Source, ou cliquez sur le [image] bouton et naviguez jusqu’au fichier dont vous avez besoin.
  4. Sélectionnez un programme dans la liste Applications.
  5. Cliquez sur OK. Les données importées apparaissent dans votre fichier dans le volet Explorateur.

Sujets connexes

Options de téléchargement et d’importation

Formats d’importation et d’exportation

Importation de fichiers du dictionnaire de données (.ddf)


Options de téléchargement et d’importation

Utilisez ces options pour importer des données provenant d’une autre application ou d’un instrument de terrain. Elles sont disponibles dans la boîte de dialogue Fichier d’importation.

Le format du fichier natif du Feature Definition Manager est « .fxl ». Celui-ci sauvegarde et organise efficacement les définitions des entités géographiques. L’importateur du gestionnaire le rend également compatible avec plusieurs autres formats.

Options
Fichier source | Spécifiez le chemin d’accès ainsi que le fichier à importer, ou cliquez sur le bouton [image] et naviguez jusqu’au fichier.
Type de fichier | Cela affiche le format du fichier sélectionné.
Importer à partir d’un fichier | Cliquez sur cette option pour sélectionner à partir de fichiers stockés sur vos unités locales ou de réseau.
Télécharger à partir d’un instrument | Cliquez sur cette option pour choisir à partir de fichiers stockés sur un instrument de terrain connecté.
Nom de l’instrument | Ceci affiche le nom de l’instrument de terrain connecté.
Application | Sélectionnez le logiciel de terrain pour lequel le fichier d’entités géographiques est prévu.

Sujets connexes

Téléchargement et Importation de données de définition des entités géographiques

Formats d’importation et d’exportation

Importation de fichiers du dictionnaire de données (.ddf)


Formats d’importation et d’exportation

Le Feature Definition Manager vous permet d’importer et d’exporter divers programmes informatiques dans les formats suivants.

Importer | Format de fichier | Exporter
 | .fal - Fichier des bibliothèques d’entités géographiques et d’attributs |
 | .ddf - fichier du dictionnaire de données |
 | .csv - fichier texte simple |
 | .lst - fichier de listage des codes Nikon |
 | .xml - Fichier Geodatabase |

Sujets connexes

Téléchargement et Importation de données de définition des entités géographiques

Importation de fichiers du dictionnaire de données (.ddf)

Options de téléchargement et d’importation


Importation de fichiers du dictionnaire de données (.ddf)

Si vous utilisez le logiciel Trimble® GPS Pathfinder®, vous pouvez importer des fichiers du dictionnaire de données (.ddf) à partir de l’Editeur du dictionnaire de données. L’importation de données d’entités géographiques dans ce format vous évite de recréer des attributs dans le Feature Definition Manager.

Lorsqu’un fichier du dictionnaire de données est importé, toutes les entités géographiques linéaires et surfaciques sont converties en entités géographiques ponctuelles, mais les définitions des attributs demeurent inchangées.

Si une entité géographique « .ddf » du même nom existe déjà dans votre bibliothèque de définitions d’entités géographiques :

  • Les attributs de la version « .ddf » écrasent les attributs de l’entité géographique existante.
  • Les styles de points, les styles de lignes et les modèles d’annotations pour l’entité géographique existante demeurent parce que les fichiers « .ddf » ne contiennent pas ces informations.

Si une entité géographique « .ddf » n’existe pas dans votre bibliothèque d’entités géographiques, elle sera affichée avec un point d'interrogation car aucun style de point n'est défini.

Autrement, les entités géographiques importées à partir d’un fichier du dictionnaire de données sont essentiellement les mêmes que les entités géographiques créées dans le Feature Definition Manager.

Sujets connexes

Téléchargement et Importation de données de définition des entités géographiques

Options de téléchargement et d’importation

Formats d’importation et d’exportation


Importation des fichiers (.xml) Geodatabase

Lors de l’importation de définitions d’entités géographiques à partir d’un fichier (.xml) geodatabase, notez les points suivants :

  • Les fichiers Geodatabase ne prennent pas en charge les codes de définitions d’entités géographiques. Lorsque vous importez le fichier geodatabase dans le Feature Definition Manager, les noms des définitions sont utilisés pour les codes de définitions. Vous pouvez modifier les noms ou les codes après l’importation.
  • Les fichiers Geodatabase ne prennent pas en charge les espaces dans les noms des définitions d’entités géographiques. Lorsque vous importez le fichier geodatabase dans le Feature Definition Manager, au lieu d'espaces, des traits de soulignement sont inclus dans les noms et les codes des définitions. Vous pouvez modifier les noms et les codes après l’importation.
  • Les fichiers Geodatabase ne prennent pas en charge les catégories. Lorsque vous importez le fichier geodatabase dans le Feature Definition Manager, toutes les définitions d’entités géographiques importées sont affectées à une catégorie Divers. Si nécessaire, vous pouvez organiser les définitions d’entités géographiques figurant dans les catégories nouvelles ou existantes après l'importation.
  • Les fichiers Geodatabase ne prennent pas en charge les valeurs d'attributs par défaut ni les lignes ni les symboles. Si nécessaire, vous pouvez ajouter ces propriétés après l'importation.

Sujets connexes

Téléchargement et Importation de données de définition des entités géographiques

Options de téléchargement et d’importation

Formats d’importation et d’exportation


Travailler avec des catégories de définition d’entité géographique

Vous pouvez utiliser les catégories pour organiser les définitions des entités géographiques en ensembles de définitions identiques. Les catégories vous permettent de sélectionner rapidement que les définitions d’entités géographiques dont vous avez besoin pour un type particulier de travail, en préparation de la collecte des données de terrain.

Lorsque vous sélectionnez une catégorie dans le volet Explorateur, une liste des définitions des entités géographiques de la catégorie apparaît dans la fenêtre principale.

Sujets connexes

Créer et modifier des catégories de définitions d’entités géographiques


Créer et modifier des catégories de définition d’entités géographiques

Pour créer une catégorie de définition d’entités géographiques :

  1. Dans le volet Explorateur, effectuez un clic droit sur le fichier auquel vous souhaitez ajouter la nouvelle catégorie, puis sélectionnez Nouveau > Nouvelle catégorie. Un volet Nom pour la nouvelle catégorie s’affiche.
  2. Saisissez le nom pour la nouvelle catégorie dans la cellule Nom.
  3. Cliquez n’importe où dans le volet Explorateur. La nouvelle catégorie est affichée dans le volet Explorateur.

Pour modifier le nom de catégorie d’une définition d’entité géographique :

  1. Dans le volet Explorateur, cliquez sur le nom de la catégorie à modifier. Le volet Nom pour la catégorie s’affiche.
  2. Saisissez le nom de la nouvelle catégorie dans la cellule Nom.
  3. Cliquez n’importe où dans le volet Explorateur. La catégorie récemment nommée est affichée dans le volet Explorateur.

Sujets connexes

Travailler avec des catégories de définition d’entité géographique


Travailler avec des définitions d’entités géographiques

Les définitions d’entités géographiques sont utilisées pour représenter les types d’entités géographiques existant potentiellement sur le terrain (par exemple, des trottoirs, des poteaux des services publics, etc.). Le Feature Definition Manager est livré avec un ensemble de définitions d’entités géographiques prédéfinies à utiliser comme point de départ pour la construction de votre propre bibliothèque de définitions d’entités géographiques.

Chaque définition d’entité géographique dans un fichier doit avoir un nom et un code exclusifs, bien que vous puissiez avoir plusieurs fichiers ouverts simultanément avec des définitions d’entités géographiques portant le même nom et/ou code.

La barre d’outils comporte également une boîte de recherche, dans laquelle vous pouvez saisir le nom d’une définition d’entité géographique, d’un code de contrôle ou d’un groupe. Le fait d’appuyer sur [Entrer] permet de localiser et de sélectionner le nom dans le volet Explorateur.

Deux types de définitions d’entités géographiques sont possibles :

  • Une entité géographique ponctuelle est utilisée pour identifier une entité individuelle, telle qu’un arbre ou un poteau des services publics. La définition d’une entité géographique ponctuelle est représentée par l’icône [image] du volet Explorateur.
  • Une entité géographique linéaire est composée d’au moins deux points qui définissent une ligne, telle qu’une clôture ou un chemin. La définition d’une entité géographique linéaire est représentée par l’icône [image] du volet Explorateur. Les entités géographiques linéaires peuvent également comprendre des codes de contrôle de lignes utilisés pour les définir plus précisément (par exemple, l’ajout de lignes, de courbes, et d’arcs entre des points).

Sujets connexes

Créer et modifier des définitions d’entités géographiques

Options de définitions d’entités géographiques


Créer et modifier des définitions d’entités géographiques

Pour créer une définition d’entité géographique :

  1. Dans le volet Explorateur, cliquez sur le fichier auquel vous souhaitez ajouter la nouvelle entité géographique.
  2. Procédez de l'une des façons suivantes :
    • Sélectionnez Modifier > Nouveau > Nouvelle définition d'entité géographique.
    • Cliquez sur l’icône [image] de la barre d’outils Nouveau.

    La boîte de dialogue Nouvelle définition d’entité géographique s’affiche.

    Note : Pour les étapes suivantes et des renseignements supplémentaires, voir Options de définitions d’entités géographiques.

  3. Saisissez les valeurs appropriées dans les cellules Nom et Code.
  4. Sélectionnez les options appropriées à partir des listes Catégorie, Type, Couleur, et Couche.
  5. Si nécessaire, cochez les options Inclure dans la surface, Ligne de rupture de pente dans la surface, ou Sens inverse. (Les options Ligne de rupture de pente dans la surface et Sens inverse ne sont disponibles que si vous créez une définition d’entité géographique linéaire.)
  6. Quand vous avez terminé, cliquez sur OK. Une icône pour la nouvelle définition d’entité géographique est ajoutée dans le volet Explorateur sous la catégorie que vous avez sélectionnée.

Pour modifier une définition existante d’entité géographique :

  1. Dans le volet Explorateur, cliquez sur le nom de la définition d’entité géographique à modifier. Le volet Propriétés des définitions des entités géographiques s’affiche.
  2. Cliquez dans n’importe laquelle des cellules du volet Propriétés des définitions des entités géographiques pour modifier les propriétés. Reportez-vous à la section Options de définitions d’entités géographiques pour plus de renseignements.
  3. Appuyez sur TAB, ou sélectionnez un autre élément dans le volet Explorateur, pour accepter la modification.

Sujets connexes

Travailler avec des définitions d’entités géographiques

Options de définitions d’entités géographiques


Options de définitions d’entités géographiques

Utilisez ces options pour définir les propriétés pour une définition des entités géographiques. Elles sont disponibles dans la boîte de dialogue Nouvelle définition d'entité géographique et dans le volet Propriétés des définitions des entités géographiques.

Options

Nom

Saisissez un identificateur unique pour la définition des entités géographiques. Dans chaque fichier, deux définitions d’entités géographiques ne doivent pas avoir le même nom.

Code

Saisissez une abréviation unique du nom de la définition des entités géographiques.

Catégorie

Sélectionnez la catégorie dans laquelle la définition des entités géographiques sera stockée.

Type

Entité géographique ponctuelle - Sélectionnez cette option pour créer une définition d’entité géographique ponctuelle. Une entité géographique ponctuelle est utilisée pour identifier une entité individuelle, telle qu’un arbre ou un poteau des services publics.

Entité géographique linéaire - Sélectionnez cette option pour créer une définition d’entité géographique linéaire. Une entité géographique linéaire est composée d’au moins deux points qui définissent une ligne, telle qu’une clôture ou un chemin.

Couche

Sélectionnez la couche appropriée pour la définition de l’entité géographique, si des couches ont été définies antérieurement pour le fichier. Ou bien, sélectionnez l'une des options suivantes :

0 - Sélectionnez cette option pour laisser la nouvelle entité géographique sur la couche par défaut.

Points - Sélectionnez cette option pour placer une entité géographique ponctuelle sur la même couche que celle d'autres définitions d’entité géographique ponctuelle.

<<Nouvelle couche>> - Sélectionnez cette option pour afficher la boîte de dialogue Nouvelle couche, grâce à laquelle vous pourrez définir les propriétés suivantes pour la nouvelle couche :

  • Nom de la couche
  • Couleur
  • Style de ligne

    Si vous devez importer un style de ligne, sélectionnez l’option <<Importer des styles de ligne >>. La boîte de dialogue Gestionnaire de style de ligne s’affiche. Cette boîte de dialogue vous permet d’importer et de supprimer des styles de ligne. Pour des instructions, reportez-vous à la section Travailler avec des styles de lignes.

Couleur

Par couche - Sélectionnez cette option pour que l’entité géographique hérite de la couleur d’affichage de la couche sur laquelle elle réside.

(couleur) - Sélectionnez une couleur spécifique pour l’affichage de la définition de l’entité géographique dans la vue graphique.

Style de ligne

Sélectionnez le style de ligne approprié.

Si vous devez importer un style de ligne, sélectionnez l’option <<Importer des styles de ligne >>. La boîte de dialogue Gestionnaire de style de ligne s’affiche. Cette boîte de dialogue vous permet de supprimer des styles de ligne. Pour des instructions, reportez-vous à la section Travailler avec des styles de lignes.

Cette option n’est disponible que si vous créez ou modifiez une définition d’entité géographique linéaire.

Echelle de style de ligne

Saisissez un facteur d’échelle pour les symboles utilisés pour représenter une ligne.

Cette option n’est disponible que si vous créez ou modifiez une définition d’entité géographique linéaire.

Inclure dans les surfaces

Cochez cette option pour permettre l’utilisation de l’entité géographique dans des opérations de création de surfaces après traitement des codes de l’entité géographique dans une autre application.

Sujets connexes

Travailler avec des définitions d’entités géographiques

Créer et modifier des définitions d’entités géographiques

Travailler avec des styles de ligne


Travailler avec des styles de ligne

La boîte de dialogue Gestionnaire de style de ligne s’affiche quand vous sélectionnez l’option <<Importer des styles de ligne>> lors de la création ou de la modification d’une ligne.

Pour importer des styles de ligne :

  1. Sélectionnez les options appropriées pour l’Unité de longueur et la Référence de l’unité.
  2. Puis, cliquez sur le bouton Parcourir pour localiser le fichier de styles de ligne à partir duquel vous souhaitez importer le(s) style(s) de ligne.
  3. Dans la liste de droite, sélectionnez le(s) style(s) de ligne que vous souhaitez importer et cliquez sur le bouton Déplacer (<) pour déplacer vos sélections vers la liste de gauche, ou, cliquez sur le bouton Déplacer (<<) pour déplacer tous les éléments de la liste de droite vers la liste de gauche. La liste de gauche affiche tous les styles de ligne disponibles dans l’étude.
  4. Quand vous avez terminé, cliquez sur OK. Les styles de ligne nouvellement importés sont désormais disponibles pour la sélection dans la liste Style de ligne.

Pour supprimer des styles de ligne :

  1. Dans la liste de gauche, sélectionnez le(s) style(s) de ligne à supprimer.
  2. Cliquez sur le bouton Supprimer (X).
  3. Quand vous avez terminé, cliquez sur OK.

Sujets connexes

Options de définitions d’entités géographiques

Options de lignes décalées d’entités géographiques


Travailler avec des symboles d’entités géographiques

Les entités géographiques peuvent être affichées sous forme de symboles dans les vues graphiques du logiciel de traitement topographique du bureau. Vous pouvez spécifier les symboles qui sont utilisés avec chaque définition d’entités géographiques.

Sujets connexes

Affectation, modification et suppression de symboles d’entités géographiques

Options de symboles d’entités géographiques


Affectation, modification et suppression de symboles d’entités géographiques

Pour affecter un symbole à une définition d’entité géographique :

  1. Dans le volet Explorateur, effectuez un clic droit sur la définition d’entité géographique à laquelle vous souhaitez affecter un symbole, puis sélectionnez Nouveau > Nouveau symbole. La boîte de dialogue Symbole s’affiche.
  2. Remplissez les champs comme décrit dans Options de symboles d’entités géographiques.
  3. Quand vous avez terminé, cliquez sur OK. Le symbole nouvellement affecté s’affiche dans la liste Lignes et Symboles.

Pour modifier un symbole :

  1. Dans le volet Explorateur, cliquez sur la définition d’entité géographique dont vous souhaitez modifier un symbole.
  2. Dans la liste Lignes et Symboles, double-cliquez sur le symbole que vous souhaitez modifier. La boîte de dialogue Symbole s’affiche.
  3. Remplissez les champs comme décrit dans Options de symboles d’entités géographiques.
  4. Quand vous avez terminé, cliquez sur OK.

Pour supprimer un symbole :

  1. Dans le volet Explorateur, cliquez sur la définition d’entité géographique dont vous souhaitez supprimer un symbole.
  2. Dans la liste Lignes et Symboles, effectuez un clic droit sur le symbole que vous souhaitez supprimer.
  3. Dans le menu contextuel, cliquez sur Supprimer.

Sujets connexes

Travailler avec des symboles d’entités géographiques

Options de symboles d’entités géographiques


Options de symboles d’entités géographiques

Utilisez ces options affichées dans la boîte de dialogue Symbole pour définir les propriétés d’un symbole.

Options

Nom

Saisissez un identificateur pour le symbole.

Description

Saisissez les commentaires généraux concernant le symbole.

Symbole

Sélectionnez un symbole pour représenter l’entité géographique.

Si vous devez importer un symbole, sélectionnez l’option <<Importer des symboles >>. La boîte de dialogue Gestionnaire des symboles s’affiche. Cette boîte de dialogue vous permet d’importer et de supprimer des symboles. Pour des instructions, reportez-vous à la section Travailler avec des symboles.

Couleur

Par couche - Sélectionnez cette option pour utiliser la couleur à partir de la couche où se trouvent les codes de l'entité géographique dans le logiciel de traitement topographique.

Par Bloc / Entité géographique - Sélectionnez cette option pour utiliser la couleur à partir de la couche où se trouve l'entité géographique.

(Couleur) – Sélectionnez une couleur appropriée.

Placement

Rotation

Valeur fixe - Sélectionnez cette option pour ouvrir la boîte Valeur, dans laquelle vous pourrez saisir un angle de rotation pour le symbole. La rotation est dans le sens contraire des aiguilles d’une montre.

Attribut - Sélectionnez cette option pour ouvrir la liste Nom des attributs, dans laquelle vous pourrez sélectionner le nom d’attribut approprié. Le symbole tourne selon la valeur (en degrés) définie dans l’attribut.

Taille et mise à l’échelle des symboles

Dimensionnement

Sol - Sélectionnez cette option pour mettre à l’échelle le symbole selon une dimension au sol en fonction d’une valeur ou d'un attribut fixe.

Papier - Sélectionnez cette option pour mettre à l’échelle le symbole selon l’échelle de diagramme pour votre étude en fonction d’une valeur ou d'un attribut fixe.

Méthode d’entrée

Valeur fixe - Sélectionnez cette option pour ouvrir la cellule Valeur, dans laquelle vous pourrez saisir une taille pour le symbole.

Si vous sélectionnez Sol dans la cellule du groupe Dimensionnement, le symbole est mis à l’échelle selon la dimension au sol en fonction de la valeur que vous entrez. Par exemple, si vous entrez 1 mètre, la dimension au sol du symbole sera 1 mètre.

Si vous sélectionnez Papier dans la cellule du groupe Dimensionnement, le symbole est mis à l’échelle selon l’échelle de diagramme définie pour votre étude en fonction de la valeur que vous entrez. Par exemple, si vous entrez 1 millimètre et l’échelle de diagramme de votre étude est 100, la dimension au sol du symbole sera 0,1 mètre (1 mm x 100). L’échelle de diagramme par défaut utilisée pour afficher le symbole dans le Gestionnaire de définition des entités géographiques est 100 ; cependant, l’échelle de diagramme de votre étude peut être différente.

Attribut - Sélectionnez cette option pour ouvrir la liste Nom des attributs, dans laquelle vous pourrez sélectionner le nom d’attribut approprié. Le symbole sera dimensionné en fonction de la valeur spécifiée pour l’attribut.

Si vous choisissez Sol dans la cellule du groupe Dimensionnement, le symbole est mis à l’échelle selon la dimension au sol en fonction de la valeur spécifiée pour l’attribut sélectionné. Par exemple, si vous choisissez un attribut dont la valeur est 1 et votre unité d’affichage est le mètre, la dimension au sol du symbole sera 1 mètre.

Si vous sélectionnez Papier dans la cellule du groupe Dimensionnement, le symbole est mis à l’échelle selon l’échelle de diagramme définie pour votre étude en fonction de la valeur spécifiée pour l’attribut sélectionné. Par exemple, si vous sélectionnez un attribut dont la valeur est 1 et l’échelle de diagramme de votre étude est 100, la dimension du symbole sera 0,1 mètre (1 mm x 100). L’échelle de diagramme par défaut utilisée pour afficher le symbole dans le Gestionnaire de définition des entités géographiques est 100 ; cependant, l’échelle de diagramme de votre étude peut être différente.

Note : Pour modifier les unités d’affichage, cliquez sur le bouton Modifier les préférences. Les unités d’affichage que vous choisissez ici devraient correspondre aux unités d’affichage de votre étude.

Sujets connexes

Travailler avec des symboles d’entités géographiques

Affectation, modification et suppression de symboles d’entités géographiques

Travailler avec des symboles


Travailler avec des symboles

La boîte de dialogue Gestionnaire des symboles s’affiche quand vous sélectionnez l’option <<Importer des symboles>> lorsque vous travaillez avec un symbole.

Pour importer ou supprimer des symboles :

  1. Dans la boîte de dialogue Gestionnaire des symboles, cliquez sur le bouton [image] puis naviguez jusqu'au fichier comportant le(s) symbole(s) à importer.

    Un fichier des symboles par défaut est installé à :
    C:\Program Files\Trimble\Feature Definition Manager\PEditor\Symbols.sym
  1. Procédez de l'une des façons suivantes :
    • Pour importer tous les symboles de ce fichier particulier, cliquez sur le bouton <<.
    • Pour n’importer qu’un seul symbole de ce fichier particulier, sélectionnez celui-ci dans la liste de droite puis cliquez sur le bouton <.
    • Pour supprimer un symbole, sélectionnez celui-ci dans la liste de gauche puis cliquez sur le bouton X.
  2. Quand vous avez terminé, cliquez sur OK.

Sujets connexes

Options de symboles d’entités géographiques


Travailler avec des lignes décalées d’entités géographiques

Si vous voulez créer un ou plusieurs lignes décalées pour une entité géographique linéaire, au lieu d’un seul axe, vous pouvez alors assigner des lignes décalées à la définition de l’entité géographique utilisée pour définir la ligne. Par exemple, vous pourriez éventuellement ajouter deux lignes décalées à l’entité géographique linéaire pour un trottoir : une se trouvant à 2 unités à gauche de l’axe du trottoir pour définir le bord gauche et une à 2 unités à droite de l’axe du trottoir pour définir le bord droit. Dans ce cas, vous pourriez ajouter deux lignes décalées à la définition de l’entité géographique : une utilisant une valeur de décalage horizontal égale à « 2 », et une utilisant une valeur de décalage horizontal égale à « - 2 ». Vous pourriez même choisir d’utiliser des couleurs et des styles différents pour les lignes décalées.

Note : Lorsque vous ajoutez une ligne décalée à une définition d’entité géographique linéaire, l’axe n’est plus affiché.

Sujets connexes

Affectation, modification et suppression de lignes décalées d’entité géographique

Options de lignes décalées d’entités géographiques


Affectation, modification et suppression de lignes décalées d’entité géographique

Pour assigner une ligne décalée à une définition d’entité géographique linéaire :

  1. Dans le volet Explorateur, effectuez un clic droit sur la définition d’entité géographique linéaire à laquelle vous souhaitez assigner une ligne décalée, puis sélectionnez Nouveau > Nouvelle ligne. La boîte de dialogue Ligne s’affiche.
  2. Remplissez les champs comme décrit dans Options de lignes décalées d’entités géographiques.
  3. Quand vous avez terminé, cliquez sur OK. La ligne décalée nouvellement affectée s’affiche dans la liste Lignes et Symboles.

Pour modifier une ligne décalée :

  1. Dans le volet Explorateur, cliquez sur la définition d’entité géographique dont vous souhaitez modifier une ligne décalée.
  2. Dans la liste Lignes et Symboles, double-cliquez sur la ligne décalée que vous souhaitez modifier. La boîte de dialogue Ligne s’affiche.
  3. Remplissez les champs comme décrit dans Options de lignes décalées d’entités géographiques.
  4. Quand vous avez terminé, cliquez sur OK.

Pour supprimer une ligne décalée :

  1. Dans le volet Explorateur, cliquez sur la définition d’entité géographique dont vous souhaitez supprimer une ligne décalée.
  2. Dans la liste Lignes et Symboles, double-cliquez sur la ligne décalée que vous souhaitez supprimer.
  3. Dans le menu contextuel, cliquez sur Supprimer.

Sujets connexes

Travailler avec des lignes décalées d’entités géographiques

Options de lignes décalées d’entités géographiques


Options de lignes décalées d’entités géographiques

Utilisez ces options affichées dans la boîte de dialogue Ligne pour définir les propriétés d’une ligne décalée d’entité géographique.

Options

Nom

Saisissez un identificateur pour la ligne décalée.

Description

Saisissez les commentaires généraux concernant la ligne décalée.

Style

Sélectionnez le style de ligne approprié.

Si vous devez importer un style de ligne, sélectionnez l’option <<Importer des styles de ligne >>. La boîte de dialogue Gestionnaire de style de ligne s’affiche. Cette boîte de dialogue vous permet d’importer et de supprimer des styles de ligne. Pour des instructions, reportez-vous à la section Travailler avec des styles de lignes.

Echelle

Saisissez un facteur d’échelle pour les symboles utilisés pour représenter la ligne.

Couleur

Par couche - Sélectionnez cette option pour utiliser la couleur à partir de la couche où se trouvent les codes de l'entité géographique dans le logiciel de traitement topographique.

Par Bloc / Entité géographique - Sélectionnez cette option pour utiliser la couleur à partir de la couche où se trouve l'entité géographique.

(Couleur) – Sélectionnez une couleur appropriée.

Décalage horizontal

Saisissez la distance pour décaler horizontalement la ligne par rapport à la ligne centrale de l’entité géographique.

Ceci crée une ligne supplémentaire.

Décalage vertical

Saisissez la distance pour décaler verticalement la ligne par rapport à la ligne centrale de l’entité géographique.

Ceci crée une ligne supplémentaire.

Type de décalage

Terrestre - Sélectionnez cette option pour utiliser les unités actuelles de l’étude pour les distances des décalages horizontal et vertical.

Feuille - Sélectionnez cette option pour utiliser les unités papier pour les distances des décalages horizontal et vertical.

Sujets connexes

Travailler avec des lignes décalées d’entités géographiques

Affectation, modification et suppression de lignes décalées d’entité géographique

Travailler avec des styles de ligne


Travailler avec des attributs d'entités géographiques

Les attributs des entités géographiques sont des caractéristiques assignées aux définitions des entités géographiques qui sont utilisées pour mieux décrire les entités géographiques. Les attributs des entités géographiques peuvent être utilisés pour :

  • Prédéfinir les caractéristiques couramment rencontrées afin que les équipes de terrain puissent rapidement les appliquer aux entités géographiques. Par exemple, avec l’entité géographique « Arbre », vous pouvez ajouter les attributs Espèces, Hauteur, Circonférence et Condition. Chaque entité géographique « Arbre » enregistrée sur le terrain peut avoir ses propres valeurs pour ces attributs.
  • Contrôler quels types d’informations peuvent, et doivent, être collectés concernant les entités géographiques du terrain. Par exemple, si vous voulez avoir un symbole pour chaque arbre collecté, ajoutez l’attribut du symbole à l’entité géographique correspondant à un arbre et faites-en un attribut Requis. L’instrument de terrain de collecte de données invite et exige la spécification d’un symbole pour chaque entité géographique qu’enregistre l’équipe de terrain.

Sujets connexes

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Assigner et modifier les attributs des entités géographiques

Pour assigner un attribut à une définition d’entité géographique :

  1. Dans le volet Explorateur, effectuez un clic droit sur la définition d’entité géographique à laquelle vous souhaitez assigner un attribut, puis sélectionnez Nouveau > Nouvel attribut > (type d’attribut). La boîte de dialogue pour le type d’attribut sélectionné s’affiche.

    Voir Options d’attributs d’entités géographiques pour les descriptions de chacun des types d’attribut disponibles ainsi que pour les liens vers les sujets décrivant comment entrer les propriétés pour chacun des types dans la boîte de dialogue (type d’attribut) spécifiée.

  2. Quand vous avez terminé de spécifier les propriétés dans la boîte de dialogue (type d’attribut), cliquez sur OK. L’attribut nouvellement assigné s’affiche dans la liste Attributs pour la définition d’entité géographique dans la fenêtre principale.

Pour modifier un attribut existant :

  1. Dans le volet Explorateur, cliquez sur la définition d’entité géographique dont vous souhaitez modifier un attribut.
  2. Dans la liste Attributs, double-cliquez sur l’attribut que vous souhaitez modifier. La boîte de dialogue (type d’attribut) s’affiche.
  3. Remplissez les champs comme décrit dans Options d’attributs d’entités géographiques.
  4. Quand vous avez terminé, cliquez sur OK.

Sujets connexes

Travailler avec les attributs des entités géographiques

Options d’attributs d'entités géographiques


Options d’attributs d'entités géographiques

Les options suivantes vous permettent d’ajouter des attributs que peuvent utiliser les équipes de terrain lors de l’enregistrement d’une entité géographique sur le terrain. Elles sont disponibles dans le menu contextuel, lorsque vous cliquez avec le bouton droit sur une entité géographique et sélectionnez Nouveau > Nouvel attribut.

Options

Nombre

Sélectionnez cette option si vous devez capturer des attributs possédant des valeurs numériques, tels que la circonférence ou la hauteur des arbres, ou les concentrations de polluants dans un certain emplacement.

Vous ne pouvez entrer que des nombres entiers ou des décimales dans les boîtes d’attributs à nombres.

Texte

Sélectionnez cette option si vous devez capturer des attributs utilisant des caractères alphanumériques, tels que les noms de rue ou de propriétaires d’installation de service public.

Bien qu’il soit possible d’ajouter des chiffres dans un attribut Texte, si votre attribut est toujours numérique, utilisez plutôt l’attribut Nombre.

Date

Sélectionnez cette option si vous devez capturer des attributs en formats de date standard, tels que des dates d’installation de poteaux d’un réseau électrique.

Heure

Sélectionnez cette option si vous devez capturer des attributs en formats d’heure, tels que l’heure et la minute auxquelles vous avez enregistré une entité géographique.

Liste

Sélectionnez cette option si vous devez capturer des attributs par la sélection de plusieurs options dans une liste, tels que les cinq types de bornes géodésiques possibles dans votre étude.

Fichier

Sélectionnez cette option si vous devez capturer des attributs de fichiers.

Photo

Sélectionnez cette option si vous devez capturer des attributs de photos.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques


Attribut des entités géographiques : Options numériques

Utilisez ces options pour définir des attributs composés de valeurs numériques. Elles sont disponibles dans la boîte de dialogue Nombre.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Valeur par défaut

Saisissez la valeur la plus courante pouvant être entrée ; elle apparaît automatiquement dans la boîte des attributs.

Caractéristiques des instruments de terrain

Valeur minimale

Saisissez le plus petit nombre autorisé pour l’attribut.

Valeur maximale

Saisissez le plus grand nombre autorisé pour l’attribut.

Nombre de décimales

Saisissez le nombre de décimales vous autorisez après la virgule. Entrez une valeur de 0 pour n’autoriser que l’entrée de nombres entiers.

Sujets connexes

Travailler avec les attributs des entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options de nombre entier

Utilisez ces options pour définir les attributs composés de valeurs de nombres entiers. Elles sont disponibles dans la boîte de dialogue Nombre entier.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Valeur par défaut

Saisissez la valeur la plus courante pouvant être entrée ; elle apparaît automatiquement dans la boîte des attributs.

Caractéristiques des instruments de terrain

Valeur minimale

Saisissez le plus petit nombre entier autorisé pour l’attribut.

Valeur maximale

Saisissez le plus grand nombre entier autorisé pour l’attribut.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options de texte

Utilisez ces options pour définir les attributs textuels composés de séquences de lettres, de chiffres et d’autres caractères à entrer. Elles sont disponibles dans la boîte de dialogue Texte.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré dans la définition des fichiers des entités géographiques.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Valeur par défaut

Saisissez la valeur la plus courante pouvant être entrée ; elle apparaît automatiquement dans la boîte des attributs. Si vous n’entrez pas de valeur par défaut, cet attribut sera au départ défini sur zéro (aucune valeur).

Longueur maximale

Saisissez la longueur maximale de caractères pouvant être entrée (jusqu’à 100 caractères). Ce champ requiert une valeur, celle par défaut est 30.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options de dates

Utilisez ces options pour définir un format pour un attribut de date. Elles sont disponibles dans la boîte de dialogue Date.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut n’est pas défini sur le terrain; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être défini sur le terrain.

Format

Sélectionnez un format de date à partir de la liste.

Note : Pour exporter des données vers un des formats d’exportation SIG disponibles, assurez-vous que le format de la date spécifié pour quel que soit l’attribut de date est le même que le format de date de l’ordinateur équipé du logiciel SIG. Un grand nombre de systèmes SIG contrôlent les réglages de la date de l’ordinateur lors de l’importation de fichiers, et présument que les dates dans les fichiers sont dans le même format que celui de l’ordinateur. Si les réglages sont différents, vous risquez d’obtenir des valeurs nulles dans le logiciel SIG.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options d’heures

Utilisez ces options pour définir un format pour un attribut d’heure. Elles sont disponibles dans la boîte de dialogue Heure.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Format

Sélectionnez un format d’heure dans la liste.

Note : Pour exporter des données vers un des formats d’exportation SIG disponibles, assurez-vous que le format de la date spécifié pour quel que soit l’attribut de date est le même que le format de date de l’ordinateur équipé du logiciel SIG. Un grand nombre de systèmes SIG contrôlent les réglages de la date de l’ordinateur lors de l’importation de fichiers, et présument que les dates dans les fichiers sont dans le même format que celui de l’ordinateur. Si les réglages sont différents, vous risquez d’obtenir des valeurs nulles dans le logiciel SIG.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options de listes

Utilisez ces options pour définir les attributs nécessitant un nombre de valeurs sélectionnables prédéfinies. Elles sont disponibles dans la boîte de dialogue Liste.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Valeurs des listes

A l’aide des boutons, construisez une liste à partir de laquelle vous pouvez sélectionner une option.

Vers le haut - Cliquez sur ce bouton pour déplacer l’élément sélectionné de la liste vers le haut.

Vers le bas - Cliquez sur ce bouton pour déplacer l’élément sélectionné de la liste vers le bas.

Par défaut - Cliquez sur ce bouton pour faire prendre à l’élément sélectionné la valeur apparaissant dans la liste si vous n’avez rien sélectionné d’autre.

Ajouter - Cliquez sur ce bouton pour insérer une nouvelle entrée dans la liste. Puis, saisissez l’entrée.

Supprimer - Cliquez sur ce bouton pour supprimer un élément de la liste.

Note : Pour modifier une entrée de la liste, sélectionnez celle-ci dans les Valeurs des listes, et saisissez un nouveau nom.

Par défaut

Saisissez la valeur la plus courante pouvant être entrée ; elle apparaît automatiquement dans la boîte des attributs. Si vous n’entrez pas de valeur par défaut, cet attribut sera au départ défini sur zéro (aucune valeur).

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options de fichier

Utilisez ces options pour définir les attributs des fichiers. Elles sont disponibles dans la boîte de dialogue Fichier.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Attributs d'entités géographiques : Options de photos

Utilisez ces options pour définir les attributs des photos. Elles sont disponibles dans la boîte de dialogue Photo.

Options

Nom

Saisissez un identificateur pour l’attribut.

Description

Saisissez les commentaires généraux concernant l’attribut.

Cette boîte est optionnelle, et elle n’est pas utilisée durant le travail sur le terrain.

Mode d’entrée

Réservé au bureau - Sélectionnez cette option lorsque l’attribut ne peut être spécifié sur un instrument de terrain ; il doit être entré via un ordinateur.

Optionnel - Sélectionnez cette option lorsque l’utilisateur peut choisir de spécifier ou non l’attribut.

Requis - Sélectionnez cette option lorsque l’attribut doit être spécifié avec une valeur valide.

Auto générer - Sélectionnez cette option lorsque l’attribut doit être une photo prise via l’instrument.

Auto générer – Lecture seule - Sélectionnez cette option lorsque l’attribut doit être une photo prise via l’instrument, et lorsque celle-ci ne peut être modifiée dans l’instrument.

Sujets connexes

Travailler avec des attributs d'entités géographiques

Assigner et modifier les attributs des entités géographiques

Options d’attributs d'entités géographiques


Travailler avec des codes de contrôles de lignes

Les géomètres peuvent assigner des codes de contrôles de lignes à des points durant la collecte des données de terrain afin de spécifier les propriétés d’une entité géographique linéaire associée. Ils peuvent, par exemple, assigner un code de contrôle de lignes à un point pour spécifier l’emplacement où démarre ou prend fin une entité géographique linéaire. Lorsque les codes des entités géographiques sont traités dans le logiciel de traitement topographique du bureau, les codes de contrôles de lignes modifient les objets linéaires selon les instructions des codes.

Note : Vous pouvez modifier la liste prédéfinie des codes de contrôle disponibles, mais vous ne pouvez pas modifier l’action accomplie par chacun d’eux.

Sujets connexes

Créer et modifier des codes de contrôles de lignes

Options de codes de contrôle de lignes


Créer et modifier des codes de contrôles de lignes

Pour créer un nouveau code de contrôle de lignes :

  1. Procédez de l'une des façons suivantes :
    • Sélectionnez Modifier > Nouveau > Nouveau code de contrôle de lignes.
    • Cliquez avec le bouton droit dans le volet explorateur, et sélectionnez Nouveau > Nouveau code de contrôle de lignes.
    • Cliquez sur l’icône i_new control code de la barre d’outils.

    La boîte de dialogue Code de contrôle de lignes s’affiche.

    Note : Voir Options de codes de contrôles de lignes pour des descriptions complètes de toutes les options disponibles dans la boîte de dialogue Code de contrôle de lignes.

  2. Saisissez un identificateur pour le code dans la boîte Nom.
  3. Saisissez une abréviation pour le code dans la boîte Code.
  4. Sélectionnez une action à accomplir pour le code dans la liste Toutes les actions. La boîte Action sélectionnée située au-dessus de celle-ci affiche les informations sur la façon dont le code modifie une entité géographique.
  5. Cliquez sur OK.

Pour modifier un code de contrôle de lignes existant :

  1. Sélectionnez le code à modifier dans le volet Explorateur. Les Propriétés des codes de contrôle de lignes s’affichent dans la fenêtre principale.
  2. Cliquez dans les boîtes Nom ou Code, et modifiez selon les besoins.

    Note : Il est impossible de modifier l’action d’un contrôle de lignes existant.

  3. Appuyez sur [TAB], ou sélectionnez un autre élément dans le volet Explorateur, pour accepter la modification.

Sujets connexes

Travailler avec des codes de contrôles de lignes

Options de codes de contrôle de lignes


Options de codes de contrôle de lignes

Utilisez ces options pour modifier des codes de contrôle, et en créer des nouveaux. Elles sont disponibles dans la boîte de dialogue Nouveau code de contrôle de lignes.

Options

Nom

Saisissez un identificateur pour le code de contrôle.

Code

Saisissez une abréviation du code de contrôle de lignes à utiliser sur le terrain.

Action sélectionnée

Ceci affiche les informations sur la façon dont le code de contrôle sélectionné modifie une entité géographique.

Toutes les actions

Démarre la ligne

Sélectionnez cette action pour démarrer une nouvelle séquence de liaison de lignes. La précédente séquence de liaison de lignes avec le même code prend fin.

Utilisez cette option pour éviter que le point ne soit lié au point précédent possédant le même code, et pour démarrer une nouvelle séquence de liaison.

Dans certaines applications, ce code de contrôle n’est pas requis pour démarrer une nouvelle ligne si les entités géographiques linéaires possédant le même nom sont reliées automatiquement.

Note : Vous pouvez utiliser Ligne de début pour produire des résultats identiques à ceux de Ligne de fin.

Termine la ligne

Sélectionnez cette action pour terminer une séquence de liaison de lignes.

Utilisez cette option lorsque vous voulez éviter qu’une ligne ne soit tracée entre le point possédant le code de contrôle de Ligne de fin et le point suivant possédant le même code d’entité géographique.

Relie au point

Sélectionnez cette action pour relier une séquence de lignes à une ID de point spécifiée.

Ignore la liaison

Sélectionnez cette action pour ignorer toute opération de liaison.

Ferme au point

Sélectionnez cette action pour fermer au premier point d’une séquence possédant le même code d’entité géographique. Il faut au moins 3 points. Les points doivent posséder le même code d’entité géographique, et le code d’entité géographique pour le point final doit être suivi par le code de contrôle Fermeture.

Utilisez cette option pour fermer une entité géographique lorsqu’une nouvelle est démarrée ou lorsque l’entité géographique prend fin.

S’il y a un style de ligne défini pour le code d’entité géographique commun utilisé, la fermeture est réalisée en utilisant ce style de ligne. S’il n’y a pas de style de ligne défini, la ligne est tracée dans le style de ligne par défaut pour la couche actuelle.

Conseil : Définissez le style de ligne par défaut d’abord pour les couches.

Démarre l’arc tangentiel

Sélectionnez cette action pour démarrer un arc tangentiel. Les points définissant la tangente d’entrée sont nécessaires. L’azimut entre le point possédant le code de contrôle de l’arc de début, et le point précédent possédant le même code d’entité géographique, détermine la direction de la tangente d’entrée.

Il est possible de créer un arc dans les situations suivantes :

  • Un arc débutant et se terminant tangentiellement à l’endroit où il y a des points disponibles définissant les directions de la tangente d’entrée et de sortie. Ceci signifie que l’arc pleinement tangentiel requiert quatre points. Si les rayons calculés à partir des deux points de la tangente ne sont pas exactement égaux, le système ajoutera automatiquement un nouveau point ainsi qu’un court segment de ligne tangentielle pour réaliser deux points de la tangente réelle.
  • Un arc débutant tangentiellement et se terminant non-tangentiellement avec un point disponible définissant la direction de la tangente d’entrée. Le système utilise le point connu de la tangente et la direction de la tangente, ainsi que le point de fin de l’arc, pour calculer le point de centre de l’arc et ajouter l’arc.
  • Un arc débutant non-tangentiellement, un ou plusieurs points fixes sur l’arc, et puis se terminant non-tangentiellement. Le système utilise les points fixes le long de l’arc pour calculer le point de centre pour l’arc passant le mieux par les points et puis ajoute l’arc. Dans le cas de l’utilisation de trois points, l’arc passera par le point du milieu.

Termine l’arc tangentiel

Sélectionnez cette action pour terminer un arc tangentiel. Les points définissant la tangente de sortie sont nécessaires. L’azimut entre le point possédant le code de contrôle de l’arc de fin, et le point suivant possédant le même code d’entité géographique, détermine la direction de la tangente de sortie.

Lorsque ces codes de contrôle sont utilisés, le point de centre pour l’arc est déterminé par le calcul utilisant les données disponibles.

Démarre l’arc non tangentiel

Sélectionnez cette action pour démarrer un arc non-tangentiel. Aucun précédent point possédant le même code d’entité géographique n’est requis.

Un arc non-tangentiel requiert au moins trois points (le point du Nouvel arc, le point de Fin sur l’arc, et un ou plusieurs points entre ces deux derniers définissant l’arc). Les points utilisés doivent avoir le même code d’entité géographique.

Note : S’il n’y a plus de points possédant le même code d’entité géographique entre le point du Nouvel arc et le point de Fin sur l’arc, l’arc est tracé en tant qu’arc tangentiel, avec le point de centre correspondant au point central de la ligne entre les deux points.

Termine l’arc non tangentiel

Sélectionnez cette action pour terminer un arc non-tangentiel. Aucun point postérieur possédant le même code d’entité géographique n’est requis pour terminer un arc de cette façon.

Ceci termine l’arc non-tangentiel démarré par le précédent code de contrôle de nouvel arc. Un arc est défini par trois points. Lorsque ces codes de contrôle sont utilisés, une courbe convenant le mieux est tracée entre les points utilisés. A partir de la courbe, le point de centre est déterminé.

Sujets connexes

Travailler avec des codes de contrôles de lignes

Créer et modifier des codes de contrôles de lignes


Travailler avec des groupes de définitions d’entités géographiques/contrôles de lignes

Certains instruments de terrain vous permettent de grouper un ensemble de codes de définitions d’entités géographiques et de contrôles de lignes pour qu’ils correspondent aux boutons de l’instrument. Vous pouvez créer plusieurs groupes, à partir desquels les équipes de terrain peuvent sélectionner celui dont elles ont besoin pour le travail spécifique.

Sujets connexes

Créer et modifier des groupes de définitions d’entités géographiques/contrôles de lignes

Options de groupes


Créer et modifier des groupes de définitions d’entités géographiques/contrôles de lignes

Pour créer un groupe de codes de définitions d’entités géographiques et de contrôles de lignes :

  1. Dans le volet Explorateur, cliquez sur le fichier auquel vous souhaitez ajouter le nouveau groupe.
  2. Procédez de l'une des façons suivantes :
    • Sélectionnez Modifier > Nouveau > Nouveau groupe.
    • Cliquez sur l’icône [image] de la barre d’outils.

    Le volet Propriétés du groupe s’affiche, et une icône pour le nouveau groupe est ajoutée dans le volet Explorateur.

    Note : Voir Options de groupes pour des descriptions complètes de toutes les options disponibles dans le volet Propriétés du groupe.

  3. Saisissez les valeurs dans les cellules Nom et Description.
  4. Sélectionnez un code de définition d’entité géographique ou de contrôle de lignes dans la liste Tous les codes.
  5. Cliquez sur le bouton avec la flèche vers la gauche pour déplacer le code vers la gauche dans la liste Codes du groupe.

    Note : Vous pouvez également double-cliquez sur des codes de la liste Tous les codes pour les déplacer dans le groupe.

    Vous pouvez fusionner deux ou plusieurs codes de définition d’entité géographique et/ou de contrôle de lignes pour rendre plus facile l’affectation des entités géographiques sur le terrain, comme il est expliqué dans la prochaine étape.

  6. Pour fusionner des codes de définition d’entité géographique ou des codes de contrôle de lignes :
    1. Sélectionnez un code à fusionner dans la liste Codes du groupe.
    2. Dans la liste Tous les codes, sélectionnez un code à fusionner avec le code sélectionné dans la liste Codes du groupe.
    3. Cliquez sur l’icône [image]. Le deuxième code sélectionné est alors joint au code de la liste Codes du groupe.
    4. Répétez les étapes « a » à « c », selon le besoin, afin de fusionner des codes supplémentaires.
  7. Répétez cette procédure, selon le besoin, pour ajouter des codes supplémentaires au groupe. Le nombre total de codes que vous pouvez inclure apparaît au-dessus de la liste Codes du groupe.

    Note : Les codes des entités géographiques peuvent être placés dans plusieurs groupes. Vous pouvez également utiliser le code d’une entité géographique plusieurs fois dans un groupe, à condition qu’il soit fusionné à un code de contrôle différent.

  8. Si nécessaire, cliquez sur les icônes flèche vers le haut et flèche vers le bas pour organiser les codes à l’intérieur du groupe.
  9. Quand vous avez terminé, cliquez sur un objet différent dans le volet Explorateur pour sauvegarder les modifications.

Pour modifier un groupe existant :

  1. Dans le volet Explorateur, cliquez sur le nom du groupe à modifier. Le volet Propriétés du groupe s'affiche.
  2. Si nécessaire, modifiez le nom et/ou la description.
  3. Au besoin, effectuez des modifications dans la liste Codes du groupe comme il est expliqué ci-dessus.
  4. Quand vous avez terminé, cliquez sur un objet différent dans le volet Explorateur pour sauvegarder les modifications.

Sujets connexes

Travailler avec des groupes de définitions d’entités géographiques/contrôles de lignes

Options de groupes


Options de groupes

Utilisez ces options pour créer un nouveau groupe de codes de définitions d’entités géographiques et de contrôles de lignes à utiliser dans un instrument de terrain. Elles sont disponibles dans le volet Propriétés du groupe.

Options

Nom

Saisissez un identificateur pour le groupe.

Description

Saisissez les informations supplémentaires concernant le groupe.

Codes

Codes dans le groupe - Affiche chacun des codes des entités géographiques et de contrôle de lignes ajouté au groupe jusqu’à présent, vous permettant de les sélectionner, les supprimer ou de les réorganiser.

Tous les codes - Affiche tous les codes des entités géographiques et de contrôle de lignes du fichier actuel, et vous permet de sélectionner n’importe lequel de ces codes et de l’ajouter au groupe.

Trier alphabétiquement - Cochez cette option pour trier votre liste de Codes dans le groupe pour les énumérer alphabétiquement dans l’instrument de terrain.

Sujets connexes

Travailler avec des groupes de définitions d’entités géographiques/contrôles de lignes

Créer et modifier des groupes de définitions d’entités géographiques/contrôles de lignes


Exportation et téléchargement vers l’amont de données de définition d’entités géographiques

Vous pouvez « télécharger » des données de définition d’entités géographiques directement vers un instrument de terrain, ou vous pouvez « exporter » des données de définition d’entités géographiques vers un fichier. Toutes les définitions d’entités géographiques sont exportées, qu’elles comportent ou non des attributs, mais les codes de contrôle de lignes ne sont pas exportés. Les définitions d'entités géographiques sont exportées en tant qu’entités géographiques ponctuelles.

Pour télécharger des données de définition d’entités géographiques vers un instrument de terrain :

  1. Assurez-vous que le fichier à partir duquel vous souhaitez exporter les données, ou l’un de ses nœuds de résidence, est sélectionné dans le volet Explorateur.
  2. Connectez l’instrument de terrain à votre ordinateur.
  3. Cliquez sur Fichier > Exporter. La boîte de dialogue Fichier d’exportation s’affiche.
  4. Cliquez sur Télécharger vers un instrument.
  5. Sélectionnez un instrument de terrain dans la liste Nom des instruments.
  6. Sélectionnez un programme dans la liste des Applications.
  7. Cliquez sur OK.

Pour exporter des données de définition d’entités géographiques vers un fichier :

  1. Assurez-vous que le fichier à partir duquel vous souhaitez exporter les données, ou l’un de ses nœuds de résidence, est sélectionné dans le volet Explorateur.
  2. Cliquez sur Fichier > Exporter. La boîte de dialogue Fichier d’exportation s’affiche.
  3. Cliquez sur Exporter vers le fichier.
  4. Sélectionnez le format pour le fichier exporté dans la liste Type de fichier.
  5. Procédez de l'une des façons suivantes :
    • Saisissez un chemin d’accès et un nom pour le fichier dans la cellule Fichier cible.
    • Cliquez sur le bouton [image] pour afficher la boîte de dialogue Enregistrer sous. Dans la boîte de dialogue Enregistrer sous, saisissez un nom pour le fichier, sélectionnez un type de fichier ainsi qu'un emplacement pour stocker le fichier. Puis, cliquez sur OK. Le chemin d’accès et le nom du fichier sont affichés dans la cellule Fichier cible.
  6. Dans la boîte de dialogue Fichier d’exportation, cliquez sur OK.

Sujets connexes

Options d’exportation et de téléchargement vers l’amont

Formats d’importation et d’exportation

Exportation de fichiers du dictionnaire de données (.ddf)


Options d’exportation et de téléchargement vers l’amont

Utilisez ces options pour envoyer des données vers une autre application ou un instrument de terrain. Elles sont disponibles dans la boîte de dialogue Fichier d’exportation.

Options
Fichier source | Sélectionnez ou saisissez un chemin d’accès vers le fichier à exporter, ou cliquez sur l'icône [image] pour naviguer vers un autre répertoire.
Exporter vers le fichier | Sélectionnez cette option pour exporter le fichier source vers un autre emplacement de fichier sur votre ordinateur ou réseau.
Télécharger vers un instrument | Sélectionnez cette option pour envoyer le fichier vers un instrument de terrain.
Type de fichier | Sélectionnez tous le format de fichier que vous souhaitez exporter.
Fichier cible | Sélectionnez ou saisissez un chemin vers lequel vous voulez exporter le fichier, ou cliquez sur l’icône [image] pour naviguer vers un autre répertoire.
Nom de l’instrument | Ceci affiche le nom de l’instrument de terrain connecté.
Application | Sélectionnez le logiciel pour lequel le fichier est prévu.

Sujets connexes

Exportation et téléchargement vers l’amont de données de définition d’entités géographiques

Formats d’importation et d’exportation

Exportation de fichiers du dictionnaire de données (.ddf)


Exportation de fichiers du dictionnaire de données (.ddf)

Si vous utilisez le logiciel Trimble® GPS Pathfinder, vous pouvez exporter des fichiers du dictionnaire de données (.ddf) vers l’Editeur du dictionnaire de données. L’exportation de données d’entités géographiques dans ce format vous évite de recréer des attributs dans l’Editeur du dictionnaire de données.

  • Toutes les définitions d’entités géographiques du fichier sont exportées vers le fichier du dictionnaire de données, indépendamment des sélections. Les définitions d’entités géographiques sont exportées, qu’elles comportent ou non des attributs.
  • Les définitions d'entités géographiques sont exportées en tant qu’entités géographiques ponctuelles. Vous pouvez transformer le type d’entités géographiques en ligne dans l’Editeur du dictionnaire de données.
  • Les fichiers du dictionnaire de données ne contiennent que le nom, le code et les attributs des entités géographiques. Aucune autre information telle que les couches, les styles de ligne, les groupes ou les codes de contrôle, n’est exportée.

Sujets connexes

Exportation et téléchargement vers l’amont de données de définition d’entités géographiques

Options d’exportation et de téléchargement vers l’amont

Formats d’importation et d’exportation


Affichage des rapports

Divers rapports sont disponibles pour l’affichage. Pour afficher un rapport, sélectionnez Fichier > Rapport, puis le rapport à afficher. Le rapport s'affiche dans une autre fenêtre du navigateur.


Sujet précédent

Prochain sujet

Avis juridiques


Siège de la société

Trimble Navigation Limited
Engineering and Construction Division
5475 Kellenburger Road
Dayton, Ohio 45424-1099
Etats-Unis

Téléphone : +1-937-233-8921
Numéro vert (aux Etats-Unis): +1-800-538-7800
Fax : +1-937-233-9441

www.trimble.com

Copyright et marques

© 2006-2011, Trimble Navigation Limited. Tous droits réservés.

Le logo du Globe & Triangle, et Trimble sont des marques déposées de Trimble Navigation Limited, enregistrées auprès du Bureau des marques et des brevets des Etats-Unis et d’autres pays. Digital Fieldbook et Trimble Geomatics Office sont des marques déposées de Trimble Navigation Limited. Interlock et Recon sont des marques déposées de Tripod Data Systems, Inc., une filiale à 100 % de Trimble Navigation Limited. Microsoft et Windows sont des marques déposées ou des marques commerciales de Microsoft Corporation aux Etats-Unis et/ou dans d’autres pays. Toutes les autres marques appartiennent à leurs propriétaires respectifs.

Notes de version

Cette publication correspond à l'Aide de la version 2.08 du logiciel Trimble® Feature Definition Manager.